using System.Collections.Generic;
using Wizard.Battle.Player.ClassCharacter;

namespace Wizard;

public class HighRankEffectInfo
{
	public string Prefab = "";

	public int Delay;

	public int Layer;

	public List<string> Motions = new List<string>();

	public string TargetBoneName = "";

	public bool IsTrackRotation;

	public bool IsEffectMotion(ClassCharaPrm.MotionType motion)
	{
		if (HighRankSpineClassCharacter.IsEvolveMotion(motion))
		{
			if (Motions.Count != 0)
			{
				return Motions.Contains("extra");
			}
			return true;
		}
		return Motions.Contains(motion.ToString());
	}
}
